B2SUM(1)

NAZWA
b2sum - oblicza i sprawdza skrót BLAKE2

SKŁADNIA
b2sum [OPCJA]... [PLIK]...

OPIS

Wypisuje lub sprawdza sumę kontrolną BLAKE2b (512-bit).

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --binary
    czyta w trybie binarnym

-c, --check
    sprawdzanie sum zapisanych w PLIKACH

-l, --length=BITS
    długość skrótu w bitach; nie może przekroczyć maksimum dla algorytmu blake2, musi być wielokrotnością 8

--tag
    tworzy sumę kontrolną w stylu BSD

-t, --text
    czyta w trybie tekstowym (domyślnie)

-z, --zero
    zakończenie każdej linii na wyjściu znakiem NUL, a nie znakiem nowej linii i wyłączenie interpretacji znaków modyfikacji

  Następujących pięć opcji jest przydatnych tylko przy sprawdzaniu sum kontrolnych:

--ignore-missing
    nie zwraca błędu, ani nie informuje przy brakujących plikach

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

--strict
    wychodzi z niezerowym kodem zakończenia przy niepoprawnie sformatowanych wierszach sum kontrolnych

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Sumy są obliczane zgodnie z opisem w RFC 7693. Podczas sprawdzania, wejście powinno być wygenerowane wcześniej przez ten program. Domyślnym trybem jest wyświetlanie wiersza z: sumą kontrolną, spacją, znakiem określającym typ wejściowy (* - binarny, spacja - tekstowy lub z niewielką ilością binarnego) i nazwą każdego PLIKU.

Uwaga: W systemach GNU nie ma różnicy pomiędzy trybem binarnym a tekstowym.

AUTOR
Napisane przez Padraiga Bradyego i Samuela Nevesa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
cksum(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/b2sum>
lub lokalnie, za pomocą info '(coreutils) b2sum invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.